# This file should not be modified as it may get changed by the maintainer.
# Add extra configuration files in the extra_config_files directory to override
# the content from this file

# Extra configuration directory where the config files overriding this file
# should be.
extra_config_files: /etc/xivo-ctid/conf.d/

# Change the log level to debug level.
debug: false

# Log file.
logfile: /var/log/xivo-ctid.log

# PID file.
pidfile: /var/run/xivo-ctid/xivo-ctid.pid

# Default socket timeout in seconds
socket_timeout: 10

# Client connection information
client:

  # Listening address
  listen: 0.0.0.0

  # Listening port
  port: 5003

  # Maximum time allowed to complete the authentication in seconds
  login_timeout: 5

# Debug connection mainly for debugging and testing
info:
  listen: '127.0.0.1'
  port: 5005

# Connection to receive update notifications (deprecated)
update_events_socket:
  listen: '127.0.0.1'
  port: 5004

# REST API server
rest_api:

  # Config for HTTP
  http:

    # Listening address
    listen: 127.0.0.1

    # Listening port
    port: 9495

  #CORS configuration. See Flask-CORS documentation for other values.
  cors:

    #Enabled by default
    enabled: True

    #Allow JSON preflight requests
    allow_headers: Content-Type

# xivo-agentd connection informations.
agentd:
  host: localhost
  timeout: 3
  verify_certificate: /usr/share/xivo-certs/server.crt

# Connection info to Asterisk AMI
ami:
  host: localhost
  port: 5038
  username: xivo_cti_user
  password: phaickbebs9

# xivo-auth (authentication daemon) connection informations.
auth:
  host: localhost
  port: 9497
  timeout: 3
  key_file: /var/lib/xivo-auth-keys/xivo-ctid-key.yml
  verify_certificate: /usr/share/xivo-certs/server.crt

# Confd (Configuration daemon) connection informations.
confd:
  host: localhost
  port: 9486
  version: 1.1
  verify_certificate: /usr/share/xivo-certs/server.crt

# Dird (Directory daemon) connection informations.
dird:
  host: localhost
  port: 9489
  version: 0.1
  timeout: 3
  verify_certificate: /usr/share/xivo-certs/server.crt

# xivo-provd connection informations.
provd:
  host: localhost
  port: 8666

# Event bus (AMQP) connection informations
bus:
  username: xds
  password: xds
  host: localhost
  port: 5672
  exchange_name: xivo
  exchange_type: x-delayed-message
  exchange_args:
    x-delayed-type: topic

# Database connection informations.
db_uri: postgresql://asterisk:proformatique@localhost/asterisk

# Polycom switchboard configuration
switchboard_polycom:
  username: xivo_switchboard
  password: xivo_switchboard
  answer_delay: 0.4

# Snom switchboard configuration
switchboard_snom:
  username: guest
  password: guest
  answer_delay: 0.5

# Queues that are configured as switchboards
switchboard_queues:
  __switchboard: true

# Queues that are configured as switchboard hold queues
switchboard_hold_queues:
  __switchboard_hold: true

# Service discovery configuration. all time intervals are in seconds
service_discovery:
  # the address that will be received by other services using service discovery.
  # use "advertise_address: auto" to enable ip address detection based on
  # advertise_address_interface
  advertise_address: localhost
  # if advertise_address is "auto" this interface will be used to find the ip
  # address to advertise. ignored otherwise
  advertise_address_interface: eth0
  advertise_port: 9495
  # the number of seconds that consul will wait between 2 ttl messages to mark
  # this service as up
  ttl_interval: 30
  # the time interval before the service sends a new ttl message to consul
  refresh_interval: 27
  # the time interval to detect that the service is running when starting
  retry_interval: 2
  extra_tags: []
